ISCNTRL(3)

NAME
iscntrl - control character test

LIBRARY
libc

SYNOPSIS
#include <ctype.h>
int
iscntrl(int c);
int
iscntrl_l(int c, locale_t loc);

DESCRIPTION
The iscntrl() function tests for any control character. The value of the argument must be representable as an unsigned char or the value of EOF.

In the ASCII character set, this includes the following characters (with their numeric values shown in octal):
000 NUL | 001 SOH | 002 STX | 003 ETX | 004 EOT
005 ENQ | 006 ACK | 007 BEL | 010 BS | 011 HT
012 NL | 013 VT | 014 NP | 015 CR | 016 SO
017 SI | 020 DLE | 021 DC1 | 022 DC2 | 023 DC3
024 DC4 | 025 NAK | 026 SYN | 027 ETB | 030 CAN
031 EM | 032 SUB | 033 ESC | 034 FS | 035 GS
036 RS | 037 US | 177 DEL | |

The iscntrl_l() function takes an explicit locale argument, whereas the iscntrl() function uses the current global or per-thread locale.

RETURN VALUES
The iscntrl() function returns zero if the character tests false and returns non-zero if the character tests true.

COMPATIBILITY
The 4.4BSD extension of accepting arguments outside of the range of the unsigned char type in locales with large character sets is considered obsolete and may not be supported in future releases. The iswcntrl() function should be used instead.

SEE ALSO
ctype(3), iswcntrl(3), xlocale(3), ascii(7)

STANDARDS
The iscntrl() function conforms to isoC. The iscntrl_l() function conforms to p1003.1-2008.